Reinforcement HelicalRebar: Difference between revisions

From FreeCAD Documentation
No edit summary
(42 intermediate revisions by 8 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Arch Rebar Helical|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar|Arch Rebar]]}}
<translate>
<!--T:21-->
{{Docnav
|[[Arch_Rebar_Stirrup|Stirrup Rebar]]
|[[Arch_Rebar_Circular_ColumnReinforcement|Circular Column Reinforcement]]
|[[Arch_Module|Arch]]
|IconL=Arch_Rebar_Stirrup.svg
|IconR=Arch_Rebar_ColumnReinforcement.svg
|IconC=Workbench_Arch.svg
}}


<!--T:1-->
==Description==
{{GuiCommand
The {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} tool allows user to create a helical reinforcing bar in the structural element.
|Name=Arch Rebar Helical
|MenuLocation=Arch → Rebar tools → Helical Rebar or 3D/BIM → Reinforcement → Helical Rebar
|Workbenches=[[Arch_Workbench|Arch]], [[BIM_Workbench|BIM]]
|Version=0.17
|SeeAlso=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Rebar|Arch Rebar]], [[Arch_Rebar_Stirrup|Arch Rebar Stirrup]], [[Arch_Rebar_ColumnReinforcement|Arch Rebar Column Reinforcement]]
}}


==Description== <!--T:2-->
[[Image:HelicalRebar.png]]


<!--T:3-->
==How to use==
The [[Arch_Rebar_Helical|Helical Rebar]] tool allows the user to create a continuous helical reinforcing bar inside an [[Arch Structure|Arch Structure]] object.


<!--T:25-->
# Create a [[Arch Structure|structure]] element
The [[Arch_Rebar_Helical|Helical Rebar]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].
# Select any face of the structure
# Then select {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} from the rebar tools
# A task panel will pop-out on the left side of the screen as shown below [[Image:HelicalRebarDialog.png]]
# Select the desired orientation
# Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar
# Select the mode of distribution either amount or spacing
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{KEY|Cancel}} to exit the task panel


<!--T:16-->
==Properties==
This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:AddonManager.svg|24px]] [[Addon Manager|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.


</translate>
:[[Image:Arch_Rebar_Helical_example.png|80px]]
<translate>
<!--T:4-->
{{Caption|One continuous helical reinforcement bar inside an [[Arch Structure|Arch Structure]]}}

==Usage== <!--T:5-->

<!--T:6-->
# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object.
# Then select {{Button|[[Image:Arch_Rebar_Helical.svg|16px]] [[Arch Rebar Helical|Helical Rebar]]}} from the rebar tools.
# A [[task panel]] will pop-out on the left side of the screen as shown below.
# Select the desired orientation.
# Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Select the mode of distribution either 'Amount' or 'Spacing'.
#* If 'Spacing' is selected, a user can also opt for [[Custom_Spacing|custom spacing]].
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|Cancel}} to exit the task panel.

<!--T:17-->
:[[Image:HelicalRebarDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar Helical tool}}

==Properties== <!--T:7-->

<!--T:8-->
* {{PropertyData|Side Cover}}: The distance between rebar to the curved face.
* {{PropertyData|Side Cover}}: The distance between rebar to the curved face.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
Line 28: Line 64:
* {{PropertyData|Diameter}}: Diameter of the rebar.
* {{PropertyData|Diameter}}: Diameter of the rebar.


==Scripting==
==Scripting== <!--T:9-->
{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<!--T:10-->
The {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
The Helical Rebar tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:


</translate>
{{Code|code=
{{Code|code=
makeHelicalRebar(SideCover, BottomCover, Diameter, TopCover, Pitch, Structure, Facename)
Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
}}
}}
<translate>


<!--T:11-->
* Adds a Straight reinforcing bar object to the given structural object.
* Creates a {{incode|Rebar}} object from the given {{incode|structure}}, which is an [[Arch Structure|Arch Structure]], and {{incode|facename}}, which is a face of that structure.
* If no Structure and Facename is given, it will take user selected face as input.
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
* Here CoverAlong argument is having type tuple.
* {{incode|s_cover}}, {{incode|b_cover}}, and {{incode|t_cover}} are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
* Returns the new Rebar object.
* {{incode|diameter}} is the diameter of the reinforcement spiral inside the structure.
* {{incode|pitch}} is the parameter that determines how close or far apart each spiral loop is to each other.


Example:
=== Example === <!--T:18-->

Creating Helical rebar.
</translate>
{{Code|code=
{{Code|code=
import Arch, Draft, HelicalRebar
import FreeCAD, Draft, Arch, HelicalRebar

# Creating circle
Circle = Draft.makeCircle(radius=250)
pl=FreeCAD.Placement()
Structure = Arch.makeStructure(Circle)
pl.Rotation.Q=(0.0,-0.0,-0.0,1.0)
Structure.ViewObject.Transparency = 80
pl.Base=FreeCAD.Vector(-1.0,-1.0,0.0)
circle = Draft.makeCircle(radius=130.107647738,placement=pl,face=True,support=None)
Draft.autogroup(circle)
# Creating Structure element from circle
structure = Arch.makeStructure(circle)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

# Creating Helical rebar
rebar = HelicalRebar.makeHelicalRebar(20, 50, 8, 50, 50, structure, "Face2")
Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")
}}
}}
<translate>


Changing properties of Helical rebar.
=== Edition of the rebar === <!--T:19-->
You can change the properties of the rebar with the following function

</translate>
{{Code|code=
editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
}}
<translate>

<!--T:20-->
* {{incode|Rebar}} is a previously created {{incode|HelicalRebar}} object.
* The other parameters are the same as required by the {{incode|makeHelicalRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

</translate>
{{Code|code=
{{Code|code=
import HelicalRebar
import HelicalRebar

HelicalRebar.editHelicalRebar(rebar, 20, 100, 12, 100, 100)
HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
}}
}}
<translate>

<!--T:15-->
{{Docnav
|[[Arch_Rebar_Stirrup|Stirrup Rebar]]
|[[Arch_Rebar_Circular_ColumnReinforcement|Circular Column Reinforcement]]
|[[Arch_Module|Arch]]
|IconL=Arch_Rebar_Stirrup.svg
|IconR=Arch_Rebar_ColumnReinforcement.svg
|IconC=Workbench_Arch.svg
}}

</translate>
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}

[[Category:Reinforcement{{#translation:}}]]

Revision as of 14:05, 29 November 2020

Arch Rebar Helical

Menu location
Arch → Rebar tools → Helical Rebar or 3D/BIM → Reinforcement → Helical Rebar
Workbenches
Arch, BIM
Default shortcut
None
Introduced in version
0.17
See also
Reinforcement, Arch Rebar, Arch Rebar Stirrup, Arch Rebar Column Reinforcement

Description

The Helical Rebar tool allows the user to create a continuous helical reinforcing bar inside an Arch Structure object.

The Helical Rebar tool is also integrated into BIM Workbench.

This command is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager via the Tools → Addon manager → Reinforcement menu.

One continuous helical reinforcement bar inside an Arch Structure

Usage

  1. Select any face of a previously created Arch Structure object.
  2. Then select Helical Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
  6. Select the mode of distribution either 'Amount' or 'Spacing'.
  7. Pick Selected Face is used to verify or change the face for rebar distribution.
  8. Click OK or Apply to generate the rebars.
  9. Click Cancel to exit the task panel.

Taskview panel for the Arch Rebar Helical tool

Properties

  • DataSide Cover: The distance between rebar to the curved face.
  • DataTop Cover: The distance between rebar from the top face of the structure.
  • DataBottom Cover: The distance between rebar from the bottom face of the structure.
  • DataPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DataDiameter: Diameter of the rebar.

Scripting

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The Helical Rebar tool can be used in macros and from the Python console by using the following function:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • s_cover, b_cover, and t_cover are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
  • diameter is the diameter of the reinforcement spiral inside the structure.
  • pitch is the parameter that determines how close or far apart each spiral loop is to each other.

Example

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Edition of the rebar

You can change the properties of the rebar with the following function

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar is a previously created HelicalRebar object.
  • The other parameters are the same as required by the makeHelicalRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)